# Asternote Package

This package can output annotation symbols enclosed in square brackets and marked with an asterisk.


## System Requirements

+ TeX format: LaTeX2e
+ TeX engine: pTeX, upTeX

Since the unit zw is used, it can be used only in the pTeX series.


## Installation

Move asternote.sty file to $TEXMF/tex/latex/asternote.


## Usage

### \setasternotenoindent \setasternoteindent

Determines whether or not the annotation symbol is indented at the beginning of a paragraph. The default is \setasternotenoindent. Whether parentheses are considered half-width or full-width is different between text and superscript.


### \setasternotetext \setasternotesuperscript

Decide whether the annotation symbols  are written in the same size as the body text or in superscript. The default is \setasternotesuperscript.


### \setasterreftext \setasterrefsuperscript

Decide whether the annotation reference are written in the same size as the body text or in superscript. The default is \setasterreftext.


### \setasternumbertext \asternumbersetsuperscript

Determines whether the manual annotation symbols are written in the same size as the body text or in superscript. The default is \setasternumbertext.


### \asternotereset

Reset the annotation symbol number to 1.


### \asternote{<LABEL>} \asternotetext{<LABEL>} \asternotesuperscript{<LABEL>}

Put an annotation symbol. You can manually choose to write the annotation in the same size as the body text or in superscript.


### \asterref{<LABEL>} \asterreftext{<LABEL>} \asterrefsuperscript{<LABEL>}

Put an annotation reference. You can manually choose to write the annotation in the same size as the body text or in superscript.


### \asternumber{<LABEL>} \asternumbertext{<LABEL>} \asternumbersuperscript{<LABEL>}

Put a manual annotation symbol. You can manually choose to write the annotation in the same size as the body text or in superscript.


## License

This package released under [the MIT license](https://ctan.org/license/mit).


## Revision History

+ Version 1.0 2022-06-28
    + The first public version.


---

Yukoh KUSAKABE (screen-name) at [metaphysica.info](https://www.metaphysica.info/)